#!/usr/bin/perl -w
#
# Copyright (c) 2011-2014 SUSE Linux Products GmbH
#
# This software is licensed to you under the GNU General Public License,
# version 2 (GPLv2). There is NO WARRANTY for this software, express or
# implied, including the implied warranties of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
# along with this software; if not, see
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
#
# 5 profile rules do not match HW
#

use strict;
use File::Basename;

BEGIN {
    my $app  = dirname($0)."/..";
    unshift @INC, "$app";
}

use SUSE::Corral;
use Data::Dumper;

my $systemhwdata = {
'CPU' => [2,4,4],
'MemTotal' => '80000000',
'arch' => 'ppc64',
'virtualization' => ['false', '']
};

my $corral = SUSE::Corral->new(root => dirname($0)."/t1", testdata => $systemhwdata, verbose => 1, sigkeys => ["susitux.key"]);
my $err = $corral->checkRules();
my $res = $corral->getResults();

#print "Found $err rules not matching this system\n";

print "The profile does not allow you to run the products on this system.\n";
print "\n";
print "Proceeding to run this installation will leave you in an\nunsupported state and might impact your compliance requirements.\n";
print "\n";
print "The following requirements are not fulfilled on this system:\n";
foreach my $set (values %{$res})
{
    next if(ref($set) ne "HASH");
    print " * ".$set->{message}."\n";
}

exit $err;
