#!/usr/bin/perl -w
#
# Copyright (c) 2011-2014 SUSE Linux Products GmbH
#
# This software is licensed to you under the GNU General Public License,
# version 2 (GPLv2). There is NO WARRANTY for this software, express or
# implied, including the implied warranties of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
# along with this software; if not, see
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.

use strict;
use File::Basename;

#
# profile match the system
#

BEGIN {
    my $app  = dirname($0)."/..";
    unshift @INC, "$app";
}

use SUSE::Corral;
use Data::Dumper;

my $systemhwdata = {
'CPU' => [1,1,1],
'MemTotal' => '3000000',
'arch' => 'x86_64',
'virtualization' => ['true', 'vmware']
};

my $corral = SUSE::Corral->new(root => dirname($0)."/t1", testdata => $systemhwdata, sigkeys => ["susitux.key"]);
my $err = $corral->checkRules();

exit $err;
