#!/usr/bin/perl -w
#
# Copyright (c) 2011-2014 SUSE Linux Products GmbH
#
# This software is licensed to you under the GNU General Public License,
# version 2 (GPLv2). There is NO WARRANTY for this software, express or
# implied, including the implied warranties of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
# along with this software; if not, see
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.

use strict;
use File::Basename;

#
# calc baseversion test, two products only one profile, 3 rules failed.
#

BEGIN {
    my $app  = dirname($0)."/..";
    unshift @INC, "$app";
}

use SUSE::Corral;
use Data::Dumper;

my $prof = ['t5/SUSE_SLES.profile'];
#my $prod = ['t5/SUSE_SLES.prod', 't5/sle-hae.prod'];
my $prod = [
            { 'name'    => 'SUSE_SLES',
              'version' => '11.1',
              'release' => '1.152',
              'arch'    => 'x86_64',
              'vendor'  => 'SUSE LINUX Products GmbH, Nuernberg, Germany'
            },
            { 'name'    => 'sle-hae',
              'version' => '11.1',
              'release' => '1.58',
              'arch'    => 'x86_64',
              'vendor'  => 'SUSE LINUX Products GmbH, Nuernberg, Germany'
            }
];

my $systemhwdata = {
'CPU' => [2,8,16],
'MemTotal' => '80000000',
'arch' => 'x86_64',
'virtualization' => ['false', '']
};

my $co2 = SUSE::Corral->new(profiles => $prof,
                            products => $prod,
                            testdata => $systemhwdata,
                            root => dirname($0),
                            sigkeys => ["susitux.key"],
                            debug => 1);
my $err = $co2->checkRules();
my $res = $co2->getResults();

if( $res->{'cpu-threads'}->{'max'} == 1 &&
    $res->{'cpu-sockets'}->{'max'} == 1 &&
    $res->{'cpu-cores'}->{'max'} == 1 &&
    !exists $res->{'general'} )
{
    exit 100;
}

exit $err;
